var c = Object.defineProperty;
var m = (e, t, r) => t in e ? c(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r;
var o = (e, t, r) => m(e, typeof t != "symbol" ? t + "" : t, r);
var u = /* @__PURE__ */ ((e) => (e.PRIVATE = "WALLET", e.VASP = "VASP", e))(u || {}), E = /* @__PURE__ */ ((e) => (e.NATURAL = "natural", e.LEGAL = "legal", e.SELF = "self", e))(E || {}), f = /* @__PURE__ */ ((e) => (e.EMPTY = "empty", e.VERIFY = "verify", e.PENDING = "pending", e.VERIFIED = "verified", e.BANNED = "banned", e))(f || {}), p = /* @__PURE__ */ ((e) => (e.ALLOWED = "allowed", e.PENDING = "pending", e))(p || {}), v = /* @__PURE__ */ ((e) => (e.ASSET = "asset", e.DESTINATION = "destination", e.COUNTERPARTY = "counterparty", e.AGENT = "agent", e))(v || {}), h = /* @__PURE__ */ ((e) => (e.COMPLETE = "complete", e.RESIZE = "resize", e.RESULT = "result", e.READY = "ready", e.INVALID = "invalid", e.ERROR = "error", e.CANCEL = "cancel", e))(h || {}), I = /* @__PURE__ */ ((e) => (e.SERVICE_UNAVAILABLE = "SERVICE_UNAVAILABLE", e.WALLET_CONNECTION_FAILED = "WALLET_CONNECTION_FAILED", e.WALLET_NOT_SUPPORTED = "WALLET_NOT_SUPPORTED", e.TOKEN_INVALID = "TOKEN_INVALID", e))(I || {}), d = /* @__PURE__ */ ((e) => (e.UPDATE = "update", e.REQUEST_RESPONSE = "requestResponse", e))(d || {}), L = /* @__PURE__ */ ((e) => (e.PENDING = "pending", e.FAILED = "rejected", e.FLAGGED = "flagged", e.VERIFIED = "verified", e))(L || {}), g = /* @__PURE__ */ ((e) => (e.SelfDeclaration = "self-declaration", e.SIWE = "siwe", e.SIWX = "siwx", e.EIP191 = "eip-191", e.EIP712 = "eip-712", e.EIP1271 = "eip-1271", e.BIP137 = "bip-137", e.BIP322 = "bip-322", e.BIP137_XPUB = "xpub", e.TIP191 = "tip-191", e.ED25519 = "ed25519", e.MicroTransfer = "microtransfer", e.Screenshot = "screenshot", e.Connect = "connect", e))(g || {});
class A {
  constructor() {
    o(this, "listeners", /* @__PURE__ */ new Map());
    o(this, "port");
    this.handleMessage = this.handleMessage.bind(this);
  }
  /**
   * Sets up the message port for communication.
   *
   * Initializes the MessagePort for receiving messages by setting up the message handler
   * and starting the port.
   *
   * @param port - The MessagePort instance to use for communication
   */
  setPort(t) {
    this.port = t, this.port.onmessage = this.handleMessage, this.port.start();
  }
  /**
     * Registers a callback for a specific message type.
     *
     * When messages of the specified type are received, the callback will be executed
     * with the message data.
     *
     * @param messageType - The type of message to listen for
     * @param callback - The callback function to execute when matching messages are received
  
     */
  on(t, r) {
    return this.listeners.has(t) || this.listeners.set(t, /* @__PURE__ */ new Set()), this.listeners.get(t).add(r), () => this.off(t, r);
  }
  /**
   * Removes a callback for a specific message type.
   *
   * If the callback is the last one registered for the message type,
   * the message type entry will be removed entirely.
   *
   * @param messageType - The type of message to remove listener from
   * @param callback - The callback function to remove
   */
  off(t, r) {
    const s = this.listeners.get(t);
    s && (s.delete(r), s.size === 0 && this.listeners.delete(t));
  }
  /**
   * Internal message handler for processing received messages.
   *
   * Validates incoming messages and dispatches them to registered callbacks
   * based on the message type.
   *
   * @param event - The message event containing the component message
   */
  handleMessage(t) {
    const r = t.data;
    if (typeof r == "object" && r !== null && "type" in r) {
      const s = r.type, i = this.listeners.get(s);
      i && i.forEach((n) => n(r));
    }
  }
  /**
   * Sends a message through the message port
   * @param message The host message to send
   */
  send(t) {
    this.port && this.port.postMessage(t);
  }
}
class N {
  /**
   * Creates an instance of EmbeddedComponent.
   * @param url - The URL of the embedded component
   * @param value - The initial transaction value
   */
  constructor(t, r, s) {
    o(this, "_url");
    o(this, "_value");
    o(this, "_options");
    o(this, "_errors", []);
    o(this, "iframe");
    o(this, "eventManager");
    o(this, "modal");
    this._url = t, this._value = r, this._options = s, this.eventManager = new A(), this.on(h.INVALID, (i) => {
      i.type === h.INVALID && (this._errors = i.errors, this._value = i.value);
    }), this.on(h.RESIZE, (i) => {
      i.type === h.RESIZE && this.iframe && (this.iframe.style.height = `${i.height}px`);
    });
  }
  /**
   * Gets the URL of the embedded component
   * @returns The URL of the embedded component
   */
  get url() {
    return this._url;
  }
  /**
   * Gets the current transaction value
   * @returns The current transaction value
   */
  get value() {
    return this._value;
  }
  get options() {
    return this._options;
  }
  get errors() {
    return this._errors;
  }
  /**
   * Opens the component URL in the current window
   */
  open() {
    document.location.href = this.url;
  }
  /**
   * Mounts the component to a parent element
   * @param parentId - The ID of the parent element
   * @throws Will throw an error if the parent element is not found
   */
  mount(t) {
    const r = document.querySelector(t);
    if (!r) throw new Error(`parentID ${t} not found`);
    this.embed(r);
  }
  /**
   * Embeds the component into a parent element
   * @param parent - The parent element to embed the component into
   */
  embed(t, r = !1) {
    var s, i;
    this.removeEmbed(), this.iframe = document.createElement("iframe"), this.iframe.src = this.url + (r ? "" : "&embedded=true"), this.iframe.allow = "web-share; clipboard-write; hid; bluetooth;", this.iframe.style.width = "100%", this.iframe.style.height = "0px", this.iframe.style.border = "none", this.iframe.style.overflow = "hidden", this.iframe.scrolling = "no", t.appendChild(this.iframe), window.addEventListener("message", (n) => {
      var a, l;
      n.source === ((a = this.iframe) == null ? void 0 : a.contentWindow) && ((l = this.eventManager) == null || l.setPort(n.ports[0]));
    }), (i = (s = this.iframe) == null ? void 0 : s.contentWindow) == null || i.focus();
  }
  removeEmbed() {
    this.iframe && this.iframe.remove();
  }
  /**
   * Sends a message to the embedded component
   * @param message - The message to send
   */
  send(t) {
    this.eventManager.send(t);
  }
  /**
   * Adds an event listener for a specific message type
   * @param messageType - The type of message to listen for
   * @param callback - The callback function to execute when the message is received
   */
  on(t, r) {
    return this.eventManager.on(t, r);
  }
  /**
   * Removes an event listener for a specific message type
   * @param messageType - The type of message to stop listening for
   * @param callback - The callback function to remove
   */
  off(t, r) {
    this.eventManager.off(t, r);
  }
  /**
   * Updates the transaction value and sends an update message to the component
   * @param value - The new transaction value
   */
  update(t, r) {
    this._value = t, r && (this._options = r), this.send({ type: d.UPDATE, value: t, options: this._options });
  }
  /**
   * Waits for the component to complete and returns the transaction response
   * @returns A promise that resolves with the transaction response
   */
  completion() {
    return new Promise((t, r) => {
      let s, i, n;
      function a() {
        s && s(), i && i(), n && n();
      }
      s = this.on(h.COMPLETE, (l) => {
        t(l.response), a();
      }), i = this.on(h.CANCEL, () => {
        r(new Error("User cancelled")), a();
      }), n = this.on("error", (l) => {
        r(new Error(l.message)), a();
      });
    });
  }
  /**
   * Opens the component in a modal dialog
   */
  async openModal() {
    this.modal && this.closeModal(), this.modal = document.createElement("dialog"), this.modal.style.border = "none", this.modal.style.backgroundColor = "white", this.modal.style.maxWidth = "100vw", this.modal.style.maxHeight = "100vh", this.modal.style.width = "600px", this.modal.style.height = "600px", document.body.appendChild(this.modal), this.embed(this.modal, !0);
    const t = this.on(h.CANCEL, () => {
      this.closeModal();
    }), r = this.on(h.COMPLETE, () => {
      this.closeModal();
    });
    return this.modal.showModal(), this.modal.addEventListener("click", () => {
      this.closeModal();
    }), this.completion().finally(() => {
      t(), r();
    });
  }
  /**
   * Closes the modal dialog
   *
   */
  closeModal() {
    var t;
    this.modal && ((t = this.modal) == null || t.close(), this.modal.remove(), this.modal = void 0);
  }
  /**
   * Opens the component in a popup window. This may be needed to support many self-hosted wallets
   * @returns A promise that resolves with the transaction response
   * @see [MDN](https://developer.mozilla.org/en-US/docs/Web/API/Window/open#restrictions)
   * @see [Cross-Origin-Opener-Policy](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy)
   */
  async popup() {
    const t = window.open(
      this.url,
      "_blank",
      "popup=true,width=600,height=600"
    );
    window.addEventListener("message", (i) => {
      var n;
      i.source === t && (console.log("received message from popup", i.data), (n = this.eventManager) == null || n.setPort(i.ports[0]));
    });
    const r = this.on(h.CANCEL, () => {
      t == null || t.close();
    }), s = this.on(h.COMPLETE, () => {
      t == null || t.close();
    });
    return this.completion().finally(() => {
      r(), s();
    });
  }
}
function w(e) {
  return Object.entries(e).map(([t, r]) => {
    if (r == null) return;
    const s = encodeURIComponent(t), i = encodeURIComponent(
      typeof r == "object" ? JSON.stringify(r) : String(r)
      // Use String() to handle all primitive types
    );
    return `${s}=${i}`;
  }).filter((t) => t !== void 0).join("&");
}
function U(e) {
  const t = e.slice(1);
  return t ? t.split("&").filter(Boolean).reduce(
    (s, i) => {
      const [n, a] = i.split("=");
      return n && (s[decodeURIComponent(n)] = a ? decodeURIComponent(a) : ""), s;
    },
    {}
  ) : {};
}
class C {
  /**
   * Creates a new instance of the Notabene SDK
   *
   * @param config - Configuration options for the Notabene SDK
   */
  constructor(t) {
    o(this, "nodeUrl");
    o(this, "authToken");
    o(this, "uxUrl");
    o(this, "theme");
    o(this, "locale");
    this.uxUrl = t.uxUrl || "https://connect.notabene.id", this.nodeUrl = t.nodeUrl, this.authToken = t.authToken, this.theme = t.theme, this.locale = t.locale;
  }
  /**
   * Generates a URL for a Notabene component
   *
   * @param path - The path of the component
   * @param value - Transaction data
   * @param configuration - Optional transaction configuration
   * @param callbacks - Optional callback configuration
   * @returns component URL
   * @internal
   */
  componentUrl(t, r, s, i) {
    const n = new URL(this.uxUrl);
    n.pathname = t;
    const a = w({
      authToken: this.authToken,
      value: r,
      configuration: s
    });
    return n.hash = a, this.nodeUrl && n.searchParams.set("nodeUrl", this.nodeUrl), this.theme && n.searchParams.set("theme", JSON.stringify(this.theme)), this.locale && n.searchParams.set("locale", this.locale), i && (i.callback && n.searchParams.set("callback_url", i.callback), i.redirectUri && n.searchParams.set("redirect_uri", i.redirectUri)), n.toString();
  }
  /**
   * Creates a new embedded component
   *
   * @param path - The path of the component
   * @param value - Transaction data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance
   * @internal
   */
  createComponent(t, r, s, i) {
    return new N(
      this.componentUrl(t, r, s, i),
      r,
      s
    );
  }
  /**
   * Creates a withdrawal assist component
   *
   * @param value - Withdrawal transaction data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for withdrawal assistance
   */
  createWithdrawalAssist(t, r, s) {
    return this.createComponent(
      "withdrawal-assist",
      t,
      r,
      s
    );
  }
  /**
   * Creates a connect component
   *
   * @param value - Connection request data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for connection
   * @alpha
   */
  createConnectWallet(t, r, s) {
    return this.createComponent(
      "connect",
      t,
      r,
      s
    );
  }
  /**
   * Creates a deposit request component
   *
   * @param value - Deposit request data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for deposit requests
   * @public
   */
  createDepositRequest(t, r, s) {
    return this.createComponent(
      "deposit-request",
      t,
      r,
      s
    );
  }
  /**
   * Creates a deposit assist component
   *
   * @param value - Partial deposit transaction data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for deposit assistance
   * @public
   */
  createDepositAssist(t, r, s) {
    return this.createComponent(
      "deposit-assist",
      t,
      r,
      s
    );
  }
}
export {
  u as AgentType,
  h as CMType,
  N as EmbeddedComponent,
  I as ErrorIdentifierCode,
  d as HMType,
  E as PersonType,
  L as ProofStatus,
  g as ProofTypes,
  f as Status,
  p as VASPSearchControl,
  v as ValidationSections,
  U as decodeFragmentToObject,
  C as default
};
